Bug 606019 - Review Request: python-distribute - Distribute is a drop-in replacement for Setuptools
Summary: Review Request: python-distribute - Distribute is a drop-in replacement for S...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-20 00:21 UTC by Jonathan Steffan
Modified: 2013-02-25 18:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-16 00:41:26 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathan Steffan 2010-06-20 00:21:30 UTC
Spec URL: http://jsteffan.fedorapeople.org/SPECS/python-distribute.spec
SRPM URL: http://jsteffan.fedorapeople.org/SRPMS/python-distribute-0.6.13-1.fc13.src.rpm
Description:

Distribute is a fork of the Setuptools project.

Distribute is intended to replace Setuptools as the standard method for
working with Python module distributions.

For those who may wonder why they should switch to Distribute
over Setuptools, it’s quite simple:

    * Distribute is a drop-in replacement for Setuptools
    * The code is actively maintained, and has over 10 contributors
    * Distribute offers Python 3 support

Comment 1 Jonathan Steffan 2010-06-20 00:22:11 UTC
python-distribute.noarch: W: no-manual-page-for-binary easy_install
python-distribute.noarch: W: no-manual-page-for-binary easy_install-2.6
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

As a note, python-setuptools does not ship man pages either.

Comment 2 Toshio Ernie Kuratomi 2010-06-20 01:14:49 UTC
The current python-setuptools package is distribute.  We can turn this into a simple package rename if you want.  I kept the python-setuptools package name since I felt people would be able to find it easier than python-distribute.  (Most packages are going to be doing import setuptools rather than import distribute.)

We don't want to have both setuptools and distribute in Fedora since distribute is a drop in replacement and the two conflict.

Comment 3 Chen Lei 2010-06-20 03:06:32 UTC
Hi Toshio

In debian, they still use python-setuptools as a binary pkgname for distrbute.

http://packages.debian.org/source/sid/distribute

Maybe, we can rename setuptools to distribute, but still use python-setuptools and python3-setuptools as two subpackages of the distribute.

Comment 4 Toshio Ernie Kuratomi 2010-06-21 05:01:21 UTC
The Debian package doesn't look like a good example to follow if I'm understanding their package information page correctly.  They appear to have a source package named distribute.  This builds binary packages for python-setuptools.  It does not build a binary package for distribute at all.

If we replicated this in Fedora it would mean that things like reporting bugs was confusing since the package name that everyone installed would have nothing to do with the name of the component in bugzilla (similarly the cvs module to checkout, srpm to download, pkgdb name to access ,etc).

Comment 5 Andrew Colin Kissa 2010-06-22 18:31:56 UTC
If python-setuptools is already distribute based, why do we need a python-distribute in fedora ?

Comment 6 Toshio Ernie Kuratomi 2010-06-23 21:37:40 UTC
We'd want this review if we want to rename python-setuptools to python-distribute.

Comment 7 Toshio Ernie Kuratomi 2010-07-03 17:33:33 UTC
Note: After talking with dmalcolm on email/IRC, I think we're settling on sticking with python-setuptools for now.  I've opened this bug against the python26-distribute package that he owns:
  https://bugzilla.redhat.com/show_bug.cgi?id=611099

I'm also thinking of adding a Provides: python-distribute = %{version}-%{release} to the python-setuptools package.  Does that mostly handle the issus here?

Comment 8 Toshio Ernie Kuratomi 2010-09-16 00:41:26 UTC
Provides for python-distribute have been added.

I've also talked to Matthias Klose, the Debian maintainer.  He says they are not going to rename anytime soon since the distribute package provides the setuptools module, not distribute.

I'm going to close this as deferred since we already have the package and it doesn't seem like a good idea to rename at this point in time.

Comment 9 Ralph Bean 2013-02-25 18:01:34 UTC
Just noting here that the latest python-zc-buildout requires distribute (and not setuptools).

I haven't found any actual demand for that update yet, though.


Note You need to log in before you can comment on or make changes to this bug.